gnutls_pkcs11_token_check_mechanism(3)

NAME
gnutls_pkcs11_token_check_mechanism - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

unsigned gnutls_pkcs11_token_check_mechanism(const char * url, unsigned long mechanism, void * ptr, unsigned psize, unsigned flags);

ARGUMENTS

const char * url
    should contain a PKCS 11 URL

unsigned long mechanism
    The PKCS 11 mechanism ID

void * ptr
    if set it should point to a CK_MECHANISM_INFO struct

unsigned psize
    the size of CK_MECHANISM_INFO struct (for safety)

unsigned flags
    must be zero

DESCRIPTION
This function will return whether a mechanism is supported by the given token. If the mechanism is supported and
 ptr is set, it will be updated with the token information.

RETURNS
Non-zero if the mechanism is supported or zero otherwise.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/